View Issue Details

IDProjectCategoryView StatusLast Update
0026094mantisbtbugtrackerpublic2019-12-09 04:32
Reporterdregad Assigned Todregad  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.23.0 
Target Version2.23.0Fixed in Version2.23.0 
Summary0026094: PHP notice in bug view page when viewing issue without category
Description

The implementation of IssueViewCommand 0025902 MantisBT master f1cf1447 introduced a regression on Bug View Page: a PHP Notice is triggered when displaying an issue without a category (and $g_allow_no_category = ON), as shown in attached screenshot

TagsNo tags attached.

Relationships

related to 0025902 closedvboctor Implement IssueViewPageCommand to separate logic from rendering of issue view page 

Activities

dregad

dregad

2019-08-28 19:06

developer  

dregad

dregad

2019-08-28 19:13

developer   ~0062678

PR https://github.com/mantisbt/mantisbt/pull/1553

Related Changesets

MantisBT: master dd95276b

2019-08-28 19:07:53

dregad

Details Diff
Fix PHP notice when viewing issue without category

Regression from f1cf14478b4f03f355049196c2ced418eb2c1afe.

We use the Command's flag to determine whether the label must be
displayed, and additionally that the category is indeed present in the
Issue's data before trying to access it.

Fixes 0026094
Affected Issues
0026094
mod - bug_view_inc.php Diff File

Issue History

Date Modified Username Field Change
2019-08-28 19:06 dregad New Issue
2019-08-28 19:06 dregad File Added: screenshot_2019-08-29_010611.png
2019-08-28 19:07 dregad Relationship added related to 0025902
2019-08-28 19:13 dregad Assigned To => dregad
2019-08-28 19:13 dregad Status new => assigned
2019-08-28 19:13 dregad Note Added: 0062678
2019-09-03 11:44 dregad Changeset attached => MantisBT master dd95276b
2019-09-03 11:44 dregad Status assigned => resolved
2019-09-03 11:44 dregad Resolution open => fixed
2019-09-03 11:44 dregad Fixed in Version => 2.23.0
2019-12-09 04:32 vboctor Status resolved => closed